# TdApi.AddSavedAnimation (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: AddSavedAnimation

Package it.tdlight.jni

# Class TdApi.AddSavedAnimation

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function
it.tdlight.jni.TdApi.AddSavedAnimation

Enclosing class:
  TdApi

    public static class TdApi.AddSavedAnimation
    extends TdApi.Function

Manually adds a new animation to the list of saved animations. The new animation is added to the beginning of the list. If the animation was already in the list, it is removed first. Only non-secret video animations with MIME type "video/mp4" can be added to the list.

Returns `Ok`

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`TdApi.InputFile` | `animation` | The animation file to be added.
`static int` | `CONSTRUCTOR` |

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`AddSavedAnimation()` | Manually adds a new animation to the list of saved animations.
`AddSavedAnimation​(TdApi.InputFile animation)` | Manually adds a new animation to the list of saved animations.
`AddSavedAnimation​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### animation

public TdApi.InputFile animation
The animation file to be added. Only animations known to the server (i.e., successfully sent via a message) can be added to the list.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### AddSavedAnimation

public AddSavedAnimation()
Manually adds a new animation to the list of saved animations. The new animation is added to the beginning of the list. If the animation was already in the list, it is removed first. Only non-secret video animations with MIME type "video/mp4" can be added to the list.

Returns `Ok`

### AddSavedAnimation

public AddSavedAnimation​(TdApi.InputFile animation)
Manually adds a new animation to the list of saved animations. The new animation is added to the beginning of the list. If the animation was already in the list, it is removed first. Only non-secret video animations with MIME type "video/mp4" can be added to the list.

Returns `Ok`

Parameters:
  `animation` - InputFile The animation file to be added. Only animations known to the server (i.e., successfully sent via a message) can be added to the list.

### AddSavedAnimation

public AddSavedAnimation​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`